Public Class LicenseWindow

   Private m_sMessage As String = String.Empty
   Private m_sTitle As String = String.Empty

   Public Sub New(Owner As Window, sMsg As String, sTitle As String)
      Me.Owner = Owner
      m_sMessage = sMsg
      m_sTitle = sTitle

      ' La chiamata è richiesta dalla finestra di progettazione.
      InitializeComponent()

      ' Aggiungere le eventuali istruzioni di inizializzazione dopo la chiamata a InitializeComponent().

   End Sub

   Public Sub Init() Handles Me.Initialized
      IconTxBl.Text = "⚠️"
      LicenseTxBl.Text = m_sTitle
      m_sMessage = m_sMessage.Replace("/n", "£")
      Dim sItems As String() = m_sMessage.Split("£")
      For Index As Integer = 0 To sItems.Count - 1
         If Index = 0 Then
            m_sMessage = sItems(Index)
         Else
            m_sMessage &= vbCrLf & sItems(Index)
         End If
      Next
      LicenseMsgTxBl.Text = m_sMessage
   End Sub

   Public Sub Exit_Click() Handles ExitBtn.Click
      Me.Close()
   End Sub

End Class
